# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "helper"
require "google/cloud/retail"
require "gapic/common"
require "gapic/grpc"

class Google::Cloud::Retail::ClientConstructionMinitest < Minitest::Test
  def test_catalog_service
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::Retail.catalog_service do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::Retail::V2::CatalogService::Client, client
    end
  end

  def test_prediction_service
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::Retail.prediction_service do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::Retail::V2::PredictionService::Client, client
    end
  end

  def test_product_service
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::Retail.product_service do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::Retail::V2::ProductService::Client, client
    end
  end

  def test_user_event_service
    Gapic::ServiceStub.stub :new, :stub do
      grpc_channel = GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
      client = Google::Cloud::Retail.user_event_service do |config|
        config.credentials = grpc_channel
      end
      assert_kind_of Google::Cloud::Retail::V2::UserEventService::Client, client
    end
  end
end
